document.addEventListener('DOMContentLoaded', () => {
    // Smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Add animation class to cards when they come into view
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('animate');
            }
        });
    }, {
        threshold: 0.1
    });

    document.querySelectorAll('.stat-card, .player-card, .game-card').forEach((card) => {
        observer.observe(card);
    });

    // Mobile menu toggle functionality
    const createMobileMenu = () => {
        if (window.innerWidth <= 768) {
            const nav = document.querySelector('nav');
            const hamburger = document.createElement('button');
            hamburger.classList.add('hamburger');
            hamburger.innerHTML = '☰';
            hamburger.addEventListener('click', () => {
                document.querySelector('.nav-links').classList.toggle('show');
            });
            nav.appendChild(hamburger);
        }
    };

    createMobileMenu();
    window.addEventListener('resize', createMobileMenu);
});